Name:           iwl6000g2b-firmware
Version:        17.168.5.1
Release:        2%{?dist}
Summary:        Firmware for Intel(R) Wireless WiFi Link 6030 Series Adapters

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-6000g2b-ucode-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       udev


%description
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6000g2b hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

%prep
%setup -c -q

# Change permission
find . -type f -exec chmod 0644 {} ';'

pushd iwlwifi-6000g2b-ucode-%{version}
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-6000g2b-ucode README.iwlwifi-6000g2b-ucode
# Rename docs
mv LICENSE.iwlwifi-6000g2b-ucode ../LICENSE
mv README.iwlwifi-6000g2b-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README
popd


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
pushd iwlwifi-6000g2b-ucode-%{version}
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.168.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 John W. Linville <linville@redhat.com> - 17.168.5.1-1
- Initial import
